#! /usr/bin/env python

from __future__ import division, print_function

import numpy as np
import vpython as vp


theta, z = 0.0, 0.0
x = np.cos(theta)
y = np.sin(theta)
s = vp.sphere(pos=vp.vector(x,y,z),radius=0.1, make_trail=True, trail_type="points", retain=20)

for theta in np.arange(0,50*np.pi,0.1):
    vp.rate(10)
    x = np.cos(theta)
    y = np.sin(theta)
    s.pos = vp.vector(x,y,z)

exit()